#pragma once

#include "INativeDrawingSurface.h"

#include <cairo.h>

#include <memory>

class CairoDrawingSurface : public INativeDrawingSurface
{
public:

    CairoDrawingSurface(cairo_surface_t* surface);

    virtual ~CairoDrawingSurface();

    static std::unique_ptr<CairoDrawingSurface> Create(cairo_surface_t* surface);

    cairo_surface_t* GetNativeSurface();

    void DestroyNativeSurface() override;

private:
    cairo_surface_t* mNativeSurface;
};

using CairoDrawingSurfacePtr = std::unique_ptr<CairoDrawingSurface>;
